Bug 293058

Summary: Muon crashed with no obvious reasons
Product: muon Reporter: Loïc Grobol <loic.grobol>
Component: installerAssignee: Jonathan Thomas <echidnaman>
Status: RESOLVED FIXED    
Severity: crash    
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In: 1.3.0

Description Loïc Grobol 2012-02-01 16:22:55 UTC
Application: muon-installer (1.2.95 "Daring Dalek")
KDE Platform Version: 4.8.00 (4.8.0
Qt Version: 4.7.4
Operating System: Linux 3.0.0-16-generic x86_64
Distribution: Ubuntu 11.10

-- Information about the crash:
- What I was doing when the application crashed: I was trying to see the comments on Skype, right after starting Muon, when it crashed.

-- Backtrace:
Application: Centre de logiciels Muon (muon-installer), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f67ddb6e780 (LWP 2516))]

Thread 5 (Thread 0x7f67c7ad2700 (LWP 2520)):
#0  0x00007f67da1ca773 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f67d6a3cf68 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f67d6a3d429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f67dc924f3e in QEventDispatcherGlib::processEvents (this=0x1b96c30, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f67dc8f8cf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f67dc8f8ef7 in QEventLoop::exec (this=0x7f67c7ad1dd0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f67dc81027f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#7  0x00007f67dc8dbcbf in QInotifyFileSystemWatcherEngine::run (this=0x1bef800) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f67dc812d05 in QThreadPrivate::start (arg=0x1bef800) at thread/qthread_unix.cpp:331
#9  0x00007f67d751eefc in start_thread (arg=0x7f67c7ad2700) at pthread_create.c:304
#10 0x00007f67da1d689d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f67bffff700 (LWP 2637)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f67d66dbfe2 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#2  0x00007f67d66dc019 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#3  0x00007f67d751eefc in start_thread (arg=0x7f67bffff700) at pthread_create.c:304
#4  0x00007f67da1d689d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f67bf2ee700 (LWP 2638)):
#0  0x00007f67da1ca773 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f67d6a3cf68 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f67d6a3d429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f67dc924f3e in QEventDispatcherGlib::processEvents (this=0x350eaa0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f67dc8f8cf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f67dc8f8ef7 in QEventLoop::exec (this=0x7f67bf2edde0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f67dc81027f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#7  0x00007f67dc2fc55f in QDeclarativePixmapReader::run (this=0x34ff5a0) at util/qdeclarativepixmapcache.cpp:556
#8  0x00007f67dc812d05 in QThreadPrivate::start (arg=0x34ff5a0) at thread/qthread_unix.cpp:331
#9  0x00007f67d751eefc in start_thread (arg=0x7f67bf2ee700) at pthread_create.c:304
#10 0x00007f67da1d689d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f67beaed700 (LWP 2639)):
#0  0x00007f67d7521034 in __pthread_mutex_lock (mutex=0x34d0ad8) at pthread_mutex_lock.c:61
#1  0x00007f67d6a3cfcc in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f67d6a3d429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f67dc924f3e in QEventDispatcherGlib::processEvents (this=0x34d41e0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f67dc8f8cf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f67dc8f8ef7 in QEventLoop::exec (this=0x7f67beaece00, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f67dc81027f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#7  0x00007f67dc812d05 in QThreadPrivate::start (arg=0x34e5fb0) at thread/qthread_unix.cpp:331
#8  0x00007f67d751eefc in start_thread (arg=0x7f67beaed700) at pthread_create.c:304
#9  0x00007f67da1d689d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f67ddb6e780 (LWP 2516)):
[KCrash Handler]
#6  QApt::Package::upstreamVersion (this=0x0) at /build/buildd/qapt-1.2.95/src/package.cpp:364
#7  0x000000000043fc77 in ReviewWidget::setReview (this=0x7f67c000c5c0, review=0x7f67c0009ed0) at /build/buildd/muon-1.2.95/installer/ReviewsBackend/ReviewWidget.cpp:94
#8  0x0000000000440682 in ReviewsWidget::addReviews (this=0x333e130, reviews=<optimized out>) at /build/buildd/muon-1.2.95/installer/ReviewsBackend/ReviewsWidget.cpp:107
#9  0x0000000000432b2e in ApplicationDetailsWidget::populateReviews (this=0x1ca5170, app=<optimized out>, reviews=<optimized out>) at /build/buildd/muon-1.2.95/installer/ApplicationDetailsView/ApplicationDetailsWidget.cpp:687
#10 0x0000000000432bf9 in ApplicationDetailsWidget::qt_metacall (this=0x1ca5170, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffa8818f20) at /build/buildd/muon-1.2.95/obj-x86_64-linux-gnu/installer/ApplicationDetailsWidget.moc:128
#11 0x00007f67dc90ceba in QMetaObject::activate (sender=0x1c38960, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffa8818f20) at kernel/qobject.cpp:3278
#12 0x000000000041e012 in ReviewsBackend::reviewsReady (this=<optimized out>, _t1=0x2ea9530, _t2=<optimized out>) at /build/buildd/muon-1.2.95/obj-x86_64-linux-gnu/installer/moc_ReviewsBackend.cpp:93
#13 0x00000000004427d2 in ReviewsBackend::reviewsFetched (this=0x1c38960, job=0x3516d50) at /build/buildd/muon-1.2.95/installer/ReviewsBackend/ReviewsBackend.cpp:223
#14 0x000000000041e563 in ReviewsBackend::qt_metacall (this=0x1c38960, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffa88191a0) at /build/buildd/muon-1.2.95/obj-x86_64-linux-gnu/installer/moc_ReviewsBackend.cpp:81
#15 0x00007f67dc90ceba in QMetaObject::activate (sender=0x3516d50, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffa88191a0) at kernel/qobject.cpp:3278
#16 0x00007f67db5ac9d2 in KJob::result (this=<optimized out>, _t1=0x3516d50) at ./kjob.moc:194
#17 0x00007f67db5aca10 in KJob::emitResult (this=0x3516d50) at ../../kdecore/jobs/kjob.cpp:318
#18 0x00007f67dd3a59aa in KIO::FileCopyJob::slotResult (this=0x3516d50, job=0x33a8f40) at ../../kio/kio/job.cpp:2449
#19 0x00007f67dd3a5750 in KIO::FileCopyJob::qt_metacall (this=0x3516d50, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffa8819310) at ./jobclasses.moc:724
#20 0x00007f67dc90ceba in QMetaObject::activate (sender=0x33a8f40, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffa8819310) at kernel/qobject.cpp:3278
#21 0x00007f67db5ac9d2 in KJob::result (this=<optimized out>, _t1=0x33a8f40) at ./kjob.moc:194
#22 0x00007f67db5aca10 in KJob::emitResult (this=0x33a8f40) at ../../kdecore/jobs/kjob.cpp:318
#23 0x00007f67dd39e044 in KIO::SimpleJob::slotFinished (this=0x33a8f40) at ../../kio/kio/job.cpp:494
#24 0x00007f67dd3a5bfd in KIO::TransferJob::slotFinished (this=0x33a8f40) at ../../kio/kio/job.cpp:1081
#25 0x00007f67dd3a4561 in KIO::TransferJob::qt_metacall (this=0x33a8f40, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffa88196c0) at ./jobclasses.moc:369
#26 0x00007f67dc90ceba in QMetaObject::activate (sender=0x1b7f930, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3278
#27 0x00007f67dd44c3d1 in KIO::SlaveInterface::dispatch (this=<optimized out>, _cmd=104, rawdata=...) at ../../kio/kio/slaveinterface.cpp:172
#28 0x00007f67dd449285 in KIO::SlaveInterface::dispatch (this=0x1b7f930) at ../../kio/kio/slaveinterface.cpp:88
#29 0x00007f67dd43c44e in KIO::Slave::gotInput (this=0x1b7f930) at ../../kio/kio/slave.cpp:344
#30 0x00007f67dd43cbac in KIO::Slave::qt_metacall (this=0x1b7f930, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fffa8819af0) at ./slave.moc:82
#31 0x00007f67dc90ceba in QMetaObject::activate (sender=0x1b89620, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3278
#32 0x00007f67dd36eaf7 in dequeue (this=<optimized out>) at ../../kio/kio/connection.cpp:82
#33 KIO::ConnectionPrivate::dequeue (this=0x1c455e0) at ../../kio/kio/connection.cpp:71
#34 0x00007f67dd36eb9d in KIO::Connection::qt_metacall (this=0x1b89620, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7f67c0013300) at ./connection.moc:79
#35 0x00007f67dc910a5e in QObject::event (this=0x1b89620, e=<optimized out>) at kernel/qobject.cpp:1217
#36 0x00007f67da997474 in notify_helper (e=0x7f67c002d9e0, receiver=0x1b89620, this=0x1a2b6c0) at kernel/qapplication.cpp:4486
#37 QApplicationPrivate::notify_helper (this=0x1a2b6c0, receiver=0x1b89620, e=0x7f67c002d9e0) at kernel/qapplication.cpp:4458
#38 0x00007f67da99c2e1 in QApplication::notify (this=0x7fffa881a3a0, receiver=0x1b89620, e=0x7f67c002d9e0) at kernel/qapplication.cpp:4365
#39 0x00007f67dbb7dae6 in KApplication::notify (this=0x7fffa881a3a0, receiver=0x1b89620, event=0x7f67c002d9e0) at ../../kdeui/kernel/kapplication.cpp:311
#40 0x00007f67dc8f9afc in QCoreApplication::notifyInternal (this=0x7fffa881a3a0, receiver=0x1b89620, event=0x7f67c002d9e0) at kernel/qcoreapplication.cpp:787
#41 0x00007f67dc8fd51f in sendEvent (event=0x7f67c002d9e0, receiver=0x1b89620) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#42 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x1a00ad0) at kernel/qcoreapplication.cpp:1428
#43 0x00007f67dc924a73 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#44 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:277
#45 0x00007f67d6a3ca5d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#46 0x00007f67d6a3d258 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#47 0x00007f67d6a3d429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#48 0x00007f67dc924ed6 in QEventDispatcherGlib::processEvents (this=0x1a025e0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#49 0x00007f67daa3f10e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=<optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#50 0x00007f67dc8f8cf2 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#51 0x00007f67dc8f8ef7 in QEventLoop::exec (this=0x7fffa881a330, flags=...) at kernel/qeventloop.cpp:201
#52 0x00007f67dc8fd789 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1064
#53 0x000000000041dd67 in main (argc=5, argv=0x7fffa881a618) at /build/buildd/muon-1.2.95/installer/main.cpp:61

Reported using DrKonqi
Comment 1 Jonathan Thomas 2012-02-05 17:27:58 UTC
Git commit 89b74eeebac2b5206d3c9bfe9881e861ef4fe2d1 by Jonathan Thomas.
Committed on 05/02/2012 at 18:25.
Pushed by jmthomas into branch 'master'.

- Discard reviews with null package pointers
- Do not attempt to display reviews with null package pointers, if encountered in the
  ReviewWidget
FIXED-IN: 1.3.0

M  +3    -0    installer/ReviewsBackend/ReviewWidget.cpp
M  +6    -2    installer/ReviewsBackend/ReviewsBackend.cpp

http://commits.kde.org/muon/89b74eeebac2b5206d3c9bfe9881e861ef4fe2d1